<%- include('../../partials/header') %>

<div class="container mt-5">

    <% if (typeof error !=='undefined' ) {%>
    <div class="alert alert-danger">
        <%= error.errors[0].message %>
    </div>
    <% } %>

    <form method="POST" id="editUserHistoryForm" action="/api/user/game-history/edit">
        <input type="hidden" name="id" value="<%= history.id %>">
        <input type="hidden" name="userId" value="<%= history.userId %>">
        <div>
            <label for="userName">Room ID</label>
            <input type="text" name="roomId" placeholder="Input room id" onChange="checkEditHistory()" class="form-control mb-2"
                value="<%= history.roomId %>">
            <label for="email">Result</label>
            <input type="text" name="result" placeholder="Input result" onChange="checkEditHistory()" class="form-control mb-2"
                value="<%= history.result %>">

        </div>

        <button id="saveBtn" type="submit" class="btn btn-success text-white mt-1 me-2">Save</button>
        <a href="/user/show/<%= history.userId %>" class="btn btn-danger mt-1">Cancel</a>
    </form>

</div>


<%- include('../../partials/footer') %>